STAT(1)

NOM
stat - Afficher l'état d'un fichier ou d'un système de fichiers

SYNOPSIS
stat [OPTION]... FICHIER...

DESCRIPTION

Afficher l'état d'un fichier ou d'un système de fichiers.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-L, --dereference
    suivre les liens

-f, --file-system
    afficher l'état du système de fichiers plutôt que celui du fichier

--cached=MODE
    indiquer la manière d'utiliser les attributs mis en cache ; utile sur les systèmes de fichiers distants. Voir MODE ci-dessous.

-c  --format=FORMAT
    utiliser le FORMAT indiqué plutôt que celui utilisé par défaut, afficher une nouvelle ligne après chaque utilisation de FORMAT

--printf=FORMAT
    identique à --format, mais interpréter les caractères protégés par une contre-oblique, et ne pas afficher de nouvelle ligne. Pour afficher une nouvelle ligne, inclure \n dans le FORMAT.

-t, --terse
    afficher les informations sous forme concise

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Le paramètre MODE de --cached peut être always, never ou default. « always » utilisera les attributs mis en cache s'il y en a, alors que « never » essaiera de se synchroniser avec les derniers attributs et que « default » s'en remettra au système de fichiers sous-jacent.

Les séquences de format valables pour les fichiers (sans --file-system) sont :

%a  droits sous forme octale (remarquez les drapeaux « # » et « 0 » de printf).

%A  droits et type de fichier dans un format lisible par un humain

%b  nombre de blocs alloués (consultez « %B »)

%B  taille, en octets, de chaque bloc rapporté par « %b »

%C  chaîne du contexte de sécurité SELinux

%d  numéro de périphérique en décimal (st_dev)

%D  numéro de périphérique en hexadécimal (st_dev)

%Hd numéro de périphérique majeur en décimal

%Ld numéro de périphérique le plus petit en décimal

%f  mode brut en hexadécimal

%F  type de fichier

%g  identifiant de groupe du propriétaire

%G  nom de groupe du propriétaire

%h  nombre de liens directs (« hard »)

%i  numéro d'inode

%m  point de montage

%n  nom de fichier

%N  nom du fichier entre guillemets, déréférencé s'il s'agit d'un lien symbolique

%o  indication de taille de transfert optimale en entrée/sortie

%s  taille totale, en octets

%r  numéro de périphérique en décimal (st_rdev)

%R  numéro de périphérique en hexadécimal (st_rdev)

%Hr type majeur de périphérique en hexadécimal, pour les fichiers spéciaux de périphérique bloc ou caractère

%Lr type mineur de périphérique en hexadécimal, pour les fichiers spéciaux de périphérique bloc ou caractère

%t  type majeur de périphérique en hexadécimal, pour les fichiers spéciaux de périphérique bloc ou caractère

%T  type mineur de périphérique en hexadécimal, pour les fichiers spéciaux de périphérique bloc ou caractère

%u  identifiant du propriétaire

%U  nom d'utilisateur du propriétaire

%w  date de création au format lisible, ou « - » si elle n'est pas connue

%W  date de création en seconde depuis l'époque POSIX (Epoch), ou 0 si elle n'est pas connue

%x  date du dernier accès au format lisible

%X  date du dernier accès en seconde depuis l'époque POSIX

%y  date de la dernière modification d’état en format lisible

%Y  date de la dernière modification d’état en seconde depuis l'époque POSIX

%z  date du dernier changement d’état en format lisible

%Z  date du dernier changement d’état en seconde depuis l'époque POSIX

Séquences de format valables pour les systèmes de fichiers :

%a  nombre de blocs libres disponibles pour les utilisateurs normaux

%b  nombre total de blocs de données dans le système de fichiers

%c  nombre total d'inodes dans le système de fichiers

%d  nombre d'inodes libres dans le système de fichiers

%f  nombre de blocs libres dans le système de fichiers

%i  identifiant du système de fichier en hexadécimal

%l  longueur maximale des noms de fichier

%n  nom de fichier

%s  taille des blocs (pour des transferts plus rapides)

%S  taille fondamentale des blocs (pour le décompte des blocs)

%t  type du système de fichier en hexadécimal

%T  type du système de fichier dans un format lisible par un humain

  --terse est équivalent au FORMAT suivant :

    %n %s %b %f %u %g %D %i %h %t %T %X %Y %Z %W %o %C

  --terse --file-system est équivalent au FORMAT suivant :

    %n %i %l %t %s %S %b %f %a %c %d

NOTE : votre interpréteur de commandes peut avoir sa propre version de stat, qui remplace en général la version décrite ici. Veuillez vous référer à la documentation de votre interpréteur de commandes pour en connaître les options.

AUTEUR
Écrit par Michael Meskes.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
stat(2), statfs(2), statx(2)

Documentation complète : <https://www.gnu.org/software/coreutils/stat>
aussi disponible localement à l’aide de la commande : info '(coreutils) stat invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Luc Froidefond <luc.froidefond@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.